# AccountLoginTrait.GetSetupPinCommand.Response

# AccountLoginTrait.GetSetupPinCommand.Response


```
class AccountLoginTrait.GetSetupPinCommand.Response : ClusterStruct
```

<br />

*** ** * ** ***

Contains the setup PIN.

## Summary

| ### Nested types |
|---|
| `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi enum https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/AccountLoginTrait.GetSetupPinCommand.Response.CommandFields : https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html, https://developers.home.google.com/reference/kotlin/com/google/home/Field` Descriptor enum for this command's response fields. |

| ### Public constructors |
|---|
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/AccountLoginTrait.GetSetupPinCommand.Response#Response(kotlin.String)(setupPin: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)` Creates a response payload from the GetSetupPin command. |

| ### Public functions |
|---|---|
| `open https://developers.home.google.com/reference/kotlin/com/google/home/StructDescriptor` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/AccountLoginTrait.GetSetupPinCommand.Response#getDescriptor()()` Returns the descriptor for the struct. |
| `open https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html?` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/AccountLoginTrait.GetSetupPinCommand.Response#getFieldValueById(kotlin.UInt)(tagId: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-int/index.html)` Returns the value of the field for the given tag ID. |

| ### Public properties |
|---|---|
| `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/AccountLoginTrait.GetSetupPinCommand.Response#setupPin()` The setup PIN, or null if the content app user account doesn't match the commissionee user account. |

## Public constructors

### Response

```
Response(setupPin: String = "")
```

Creates a response payload from the GetSetupPin command.

## Public functions

### getDescriptor

```
@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor
```

Returns the descriptor for the struct.

### getFieldValueById

```
@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?
```

Returns the value of the field for the given tag ID.

## Public properties

### setupPin

```
val setupPin: String
```

The setup PIN, or null if the content app user account doesn't match the commissionee user account.